Author Topic: (A1 blocks and A2 blocks) modify the block color  (Read 1091 times)

0 Members and 1 Guest are viewing this topic.

well20152016

  • Newt
  • Posts: 130
(A1 blocks and A2 blocks) modify the block color
« on: January 15, 2017, 09:10:22 AM »
(A1 blocks and A2 blocks) modify the block color

well20152016

  • Newt
  • Posts: 130
Re: (A1 blocks and A2 blocks) modify the block color
« Reply #1 on: January 16, 2017, 07:54:37 PM »
Code - Auto/Visual Lisp: [Select]
  1. (defun c:tt()
  2. (setq En1 (nentsel "\nPick an entity or subEntity: ")
  3.       En2 (nentsel "\nPick other entity or subEntity: ")
  4.       Es1 (entget (car En1))
  5.       Es2 (entget (car En2))
  6.       )
  7. (if (cdr (assoc 62 Es1))(setq Es1 (subst (cons 62 2) (assoc 62 Es1) Es1))(setq Es1 (append Es1 (list(cons 62 2)))))
  8. (if (cdr (assoc 62 Es2))(setq Es2 (subst (cons 62 2) (assoc 62 Es2) Es2))(setq Es2 (append Es2 (list(cons 62 2)))))
  9. (entmod Es1)
  10. (entmod Es2)
  11. (LM:Regen)
  12.   )
  13.  
  14. (defun LM:Regen ()
  15. (vla-Regen thisdrawing acAllViewports)(princ)
  16.   )
  17.  

There is no way? (ssget method)
« Last Edit: January 16, 2017, 08:10:18 PM by well20152016 »